View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001084Ecere SDKidepublic2014-06-17 18:382014-08-08 18:17
Reporterredj 
Assigned Tojerome 
PriorityimmediateSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platformx86_64:windowsOS-OS Version-
Product Version0.44.09 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0001084: project settings per-platform dir list edit crash in window.ec
Descriptioncrash in window.ec, see steps
  0 __ecereNameSpace__ecere__gui__Window_MouseMessage Method, C:\ecere-sdk\ecere\src\gui\Window.ec:4281
  1 __ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow Method, C:\ecere-sdk\ecere\src\gui\drivers\Win32Interface.ec:833
  2 inside UnregisterPowerSettingNotification, C:\Windows\System32\user32.dll
  3 ??
  4 ??
  5 ??
Steps To Reproducerun ide, open EDASQLiteCipher.epj, alt-f7, click on win32, click to start editing an include dir, esc, esc, crash!
TagsNo tags attached.
Attached Files

- Relationships
related to 0001083closedjerome Stuck Tooltips, Stuck IDE, Crashing IDE 

-  Notes
(0001340)
redj (administrator)
2014-06-18 21:30

also, changing the documentor doc path will crash in same/similar location

  0 __ecereNameSpace__ecere__gui__Window_MouseMessage Method, C:\ecere-sdk\ecere\src\gui\Window.ec:4281
  1 __ecereNameSpace__ecere__gui__Window_ConsequentialMouseMove Method, C:\ecere-sdk\ecere\src\gui\Window.ec:3586
  2 __ecereNameSpace__ecere__gui__Window_ActivateEx Method, C:\ecere-sdk\ecere\src\gui\Window.ec:3823
  3 __ecereNameSpace__ecere__gui__Window_DestroyEx Method, C:\ecere-sdk\ecere\src\gui\Window.ec:5549
  4 __ecereNameSpace__ecere__gui__Window_Destroy Method, C:\ecere-sdk\ecere\src\gui\Window.ec:6534
  5 __ecereInstMeth___ecereNameSpace__ecere__gui__controls__MenuItem_NotifySelect__00000005 Function, src\Documentor.ec:2216
  6 __ecereNameSpace__ecere__gui__controls__PopupMenu_MenuItemSelection Method, C:\ecere-sdk\ecere\src\gui\controls\Menu.ec:893
  7 __ecereNameSpace__ecere__gui__controls__PopupMenu_OnLeftButtonUp Method, C:\ecere-sdk\ecere\src\gui\controls\Menu.ec:1871
  8 __ecereNameSpace__ecere__gui__Window_MouseMessage Method, C:\ecere-sdk\ecere\src\gui\Window.ec:4348
  9 __ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow Method, C:\ecere-sdk\ecere\src\gui\drivers\Win32Interface.ec:845
 10 inside UnregisterPowerSettingNotification, C:\Windows\System32\user32.dll
 11 ??
 12 ??
 13 ??
(0001341)
jerome (administrator)
2014-06-18 22:02

Seems I missed something in my 0001083 fix.
(0001342)
jerome (administrator)
2014-06-18 22:34

Fixed by:
https://github.com/ecere/ecere-sdk/commit/7c9dc5fd1f68f9e6c33bab17d3a3fc604fe7c8eb [^]

- Issue History
Date Modified Username Field Change
2014-06-17 18:38 redj New Issue
2014-06-17 18:38 redj Status new => assigned
2014-06-17 18:38 redj Assigned To => jerome
2014-06-18 21:30 redj Note Added: 0001340
2014-06-18 22:01 jerome Relationship added related to 0001083
2014-06-18 22:02 jerome Note Added: 0001341
2014-06-18 22:34 jerome Status assigned => resolved
2014-06-18 22:34 jerome Fixed in Version => 0.44.10 64
2014-06-18 22:34 jerome Resolution open => fixed
2014-06-18 22:34 jerome Note Added: 0001342
2014-08-08 18:17 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker